DLARRR(3f)

NAME
DLARRR - to decide whether the symmetric tridiagonal matrix T warrants expensive computations which guarantee high relative accuracy in the eigenvalues

SYNOPSIS

SUBROUTINE DLARRR(
    N, D, E, INFO )

INTEGER
    N, INFO

DOUBLE
    PRECISION D( * ), E( * )

PURPOSE
Perform tests to decide whether the symmetric tridiagonal matrix T warrants expensive computations which guarantee high relative accuracy in the eigenvalues.

ARGUMENTS

N       (input) INTEGER
    The order of the matrix. N > 0.

D       (input) DOUBLE PRECISION array, dimension (N)
    The N diagonal elements of the tridiagonal matrix T.

E       (input/output) DOUBLE PRECISION array, dimension (N)
    On entry, the first (N-1) entries contain the subdiagonal elements of the tridiagonal matrix T; E(N) is set to ZERO.

INFO    (output) INTEGER
    INFO = 0(default) : the matrix warrants computations preserving relative accuracy. INFO = 1 : the matrix warrants computations guaranteeing only absolute accuracy.

FURTHER DETAILS
Based on contributions by
   Beresford Parlett, University of California, Berkeley, USA
   Jim Demmel, University of California, Berkeley, USA
   Inderjit Dhillon, University of Texas, Austin, USA
   Osni Marques, LBNL/NERSC, USA
   Christof Voemel, University of California, Berkeley, USA